# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="ConsoleOne - merge this to pull in all net-misc/netiq-* c1 packages"
HOMEPAGE="http://www.novell.com/"
LICENSE="Novell-eDir-87"

SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="groupwise messenger remote nmas radius auth nss nfs nis ichain ncs additions accountmanager"

RDEPEND=">=app-admin/netiq-ndssfrep-8.7.0_p1-r4
	>=app-admin/netiq-ndssice-8.7.0_p1-r4
	>=app-admin/netiq-ndssimgr-8.7.0_p1-r4
	>=app-admin/netiq-ndssldap-8.7.0_p1-r4
	>=app-admin/netiq-ndssslp-8.7.0_p1-r4
	>=app-admin/netiq-ndsswan-8.7.0_p1-r4
	>=app-admin/netiq-ndsspki-8.7.0_p1-r4
	groupwise? ( >=app-admin/netiq-groupwise-admin-7.0 )
	messenger? ( >=app-admin/netiq-messenger-admin-2.0 )
	remote? ( >=app-admin/netiq-rconsolej-6.0 )
	nmas? ( >=app-admin/netiq-nmas-method-admin-2.0.1
		>=app-admin/netiq-nmas-admin-2.0.1 )
	nss? ( >=app-admin/netiq-nss-admin-1.02 )
	accountmanager? ( >=app-admin/netiq-nds4nt-admin-1.02 )
	radius? ( >=app-admin/netiq-radius-admin-2.0.1 )
	auth? ( >=app-admin/netiq-unix-admin-2.1 )
	nfs? ( >=app-admin/netiq-nisnfs-admin-85.00.00 )
	nis? ( >=app-admin/netiq-nisnfs-admin-85.00.00 )
	ichain? ( >=app-admin/netiq-ichain-admin-2.1 )
	ncs? ( >=app-admin/netiq-ncs-admin-1.7 )
	additions? ( >=app-admin/netiq-advanced-admin-1.0 )"
