# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="0-JAQDFM8Eo~"
NOVELL_FILE32="NWCS_CS1_Snapins.zip"
RESTRICT="mirror strip"

inherit novell eutils java-utils-2

DESCRIPTION="Novell Cluster Services 1.7 Snap-in"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-ConsoOne-SnapIn"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="app-arch/unzip"

RDEPEND="virtual/libc
	>=virtual/jre-1.6
	>=app-admin/netiq-novlc1-1.3.6_p1"

src_unpack() {
	cd "${WORKDIR}"
	unpack ${A}
}

src_compile() { :; }

src_install() {
#	java-pkg_jarinto /usr/ConsoleOne/lib/ncs
#	java-pkg_dojar "${WORKDIR}"/public/mgmt/consoleone/1.2/lib/ncs/*.jar
	java-pkg_jarinto /usr/ConsoleOne/resources/ncs
	java-pkg_dojar "${WORKDIR}"/public/mgmt/ConsoleOne/1.2/resources/ncs/*.jar
	java-pkg_jarinto /usr/ConsoleOne/snapins/ncs
	java-pkg_dojar "${WORKDIR}"/public/mgmt/ConsoleOne/1.2/snapins/ncs/*.jar
	insinto /usr/ConsoleOne/help
	doins -r "${WORKDIR}"/public/mgmt/ConsoleOne/1.2/help/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
