# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

DESCRIPTION="eDirectory Documentation and Meta Package"
HOMEPAGE="http://www.novell.com/"
SRC_URI="http://www.novell.com/documentation/edir873/pdfdoc/edir873.zip"
LICENSE="Novell-eDir-87"

SLOT="8.7"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="!net-nds/netiq-edirectory:0
	!net-nds/netiq-edirectory:8.8"

RDEPEND="net-nds/netiq-ndsimon:8.7
	net-nds/netiq-ndsmasv:8.7
	net-nds/netiq-ndsrepair:8.7
	net-nds/netiq-novlembox:8.7
	net-nds/netiq-novlsnmp:8.7
	net-nds/netiq-novlstlog:8.7
	net-nds/netiq-novlsubag:8.7"

RESTRICT="mirror strip"

src_unpack() {
	unpack ${A}
}

src_compile() { :; }

src_install() {
	dodoc "${WORKDIR}"/pdfdoc/edir873/edir873.pdf "${WORKDIR}"/pdfdoc/qsedir873/qsedir873.pdf
}
